ApiParcels
Create a parcel — Atlas-resolves the destination, optionally submits to the carrier
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/parcels" \ -H "Content-Type: application/json" \ -d '{ "recipient": { "name": "string", "phone": "string" }, "destination": { "country": "st", "state": "string", "city": "string", "deliveryType": "home" }, "codAmount": 0 }'{ "data": { "id": "string", "tenantId": -9007199254740991, "reference": "string", "status": "created", "carrierAccountId": "string", "courierId": "string", "trackingId": "string", "batchId": "string", "recipient": { "name": "string", "phone": "string", "phoneAlt": "string" }, "destination": { "country": "string", "stateCode": "string", "cityName": "string", "address": "string", "deliveryType": "home", "pickupId": "string", "resolved": { "method": "string", "confidence": 0 } }, "codAmount": 0, "weightKg": 0, "dimensions": { "property1": null, "property2": null }, "contents": "string", "notes": "string", "deliveryAttempts": 0, "metadata": { "property1": null, "property2": null }, "createdAt": "string", "updatedAt": "string", "submittedAt": "string", "deliveredAt": "string", "returnedAt": "string", "cancelledAt": "string" }, "warnings": [ { "code": "delivery_type_unsupported", "message": "string" } ], "destinationRewritten": { "from": { "stateCode": "string", "cityName": "string" }, "to": { "stateCode": "string", "cityName": "string", "pickupId": "string" }, "distanceKm": 0 }}